Change log for freedombox-setup package in Ubuntu

119 of 19 results
Published in cosmic-release on 2018-07-28
Deleted in cosmic-proposed (Reason: moved to release)
Deleted in cosmic-release (Reason: LP: #1784125, remove manuel, and demote rdeps)
Published in bionic-release on 2018-02-13
Deleted in bionic-proposed (Reason: moved to release)
freedombox-setup (0.12) unstable; urgency=medium

  [ Q.-A. Nick ]
  * Update control to remove how-can-i-help dependency

  [ James Valleroy ]
  * Explicitly select source format
  * Bump Standards-Version
  * Use https URL for copyright format
  * Update Vcs URLs to Salsa
  * Rework and expand description

 -- James Valleroy <email address hidden>  Tue, 13 Feb 2018 05:45:53 -0500

Available diffs

Superseded in bionic-release on 2018-02-13
Deleted in bionic-proposed on 2018-02-15 (Reason: moved to release)
freedombox-setup (0.11) unstable; urgency=high

  [ James Valleroy ]
  * Disable systemd pager for CI test.
  * Bump standards version to 4.1.1.
  * Remove depends that are also plinth depends (Closes: #877955).
  * Add myself to uploaders.
  * Set high urgency because plinth 0.15.3+ds-1 breaks older versions of
    freedombox-setup.

  [ Sunil Mohan Adapa ]
  * Cleanup setup steps based on Plinth changes (Closes: #873946):
    + Remove SSH and Apache setup moved to Plinth.
    + Remove initial configuration of network devices.
    + Remove first-run completely and avoid rebooting.
    + Remove etckeeper.
    + Remove providing source.
    + Remove setup step.
    + Move Apache FreedomBox configuration to Plinth.
    + Move Avahi configuration to Plinth.
  * There is now no need to run setup anymore (Closes: #834260).

 -- James Valleroy <email address hidden>  Sat, 21 Oct 2017 17:22:18 -0400

Available diffs

Superseded in bionic-release on 2018-02-06
Published in artful-release on 2017-09-22
Deleted in artful-proposed (Reason: moved to release)
freedombox-setup (0.10ubuntu1) artful; urgency=medium

  * Bump to php7.1

 -- Dimitri John Ledkov <email address hidden>  Fri, 08 Sep 2017 10:38:47 +0100
Superseded in artful-proposed on 2017-09-08
Deleted in zesty-proposed on 2017-09-09 (Reason: Moved to artful-proposed)
freedombox-setup (0.10) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Drop obsolete build dependencies needed to build documentation.

  [ Sunil Mohan Adapa ]
  * Exit with error code when a component fails (Closes: #835632).
  * Cleanup dependencies that are dependencies of plinth, or otherwise no
    longer needed (Closes: #837335).

  [ Federico Ceratto ]
  * Update VCS url.

  [ James Valleroy ]
  * Drop obsolete package net-tools dependency (Closes: #849413).

 -- Federico Ceratto <email address hidden>  Sat, 14 Jan 2017 15:59:14 +0000

Available diffs

Superseded in zesty-proposed on 2017-01-14
Deleted in yakkety-proposed on 2017-01-16 (Reason: Moved to zesty-proposed)
freedombox-setup (0.9.3) unstable; urgency=medium

  * Change maintainer to the FreedomBox packaging team.
  * Make removing policy-rc.d more robust (Closes: #803898).

 -- Petter Reinholdtsen <email address hidden>  Sat, 27 Aug 2016 20:30:40 +0200

Available diffs

Superseded in yakkety-proposed on 2016-08-28
freedombox-setup (0.9.2) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * Require libapache2-mod-gnutls >= 0.7.4-1 to include fix for #514005
    (Closes: #824370).
  * Remove flash-kernel code specific for beaglebone (Closes: #825677).
  * Move LDAP server setup and PAM configuration over to Plinth
    (Closes: #824641).
  * Enable userdir for users upgrading from 0.9.1 (#825321).
  * Don't set laptop mode (Closes: #826345).

  [ James Valleroy ]
  * Remove flash-kernel script and corresponding machine-detect script
    (Closes: #825875).
  * Require plinth >> 0.9.2 to include LDAP setup and PAM configs.
  * Remove script that creates access point for Dreamplug
    (Closes: #825939).
  * Enable userdir mod during apache setup (Closes: #825321).

 -- Federico Ceratto <email address hidden>  Fri, 17 Jun 2016 23:32:56 +0100
Superseded in artful-release on 2017-09-22
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2016-03-24
Deleted in xenial-proposed (Reason: moved to release)
freedombox-setup (0.8ubuntu1) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1544352).

 -- Nishanth Aravamudan <email address hidden>  Wed, 23 Mar 2016 15:27:50 -0700

Available diffs

0.8
Superseded in xenial-release on 2016-03-24
Deleted in xenial-proposed on 2016-03-25 (Reason: moved to release)
freedombox-setup (0.8) unstable; urgency=medium

  * Adjust autopkgtest script to set HOME, to make sure
    freedombox-setup is installable.
  * Only run 'git config --global' in postinst when $HOME is set,
    otherwise git fail.

 -- Petter Reinholdtsen <email address hidden>  Tue, 19 Jan 2016 23:17:51 +0000

Available diffs

0.7
Superseded in xenial-proposed on 2016-01-21
freedombox-setup (0.7) unstable; urgency=low

  [ James Valleroy ]
  * Move hardware setup outside to freedom-maker (Closes: #803734).
  * Update preseed file for stretch (Closes: #806181).

  [ Sunil Mohan Adapa ]
  * Remove LXC (Closes: #806184).
  * Update Debian CI test case to fix failing tests (Closes: #806597).
  * Consider wireless when configuring wired ifaces.

 -- Federico Ceratto <email address hidden>  Sat, 12 Dec 2015 21:56:35 +0000

Available diffs

0.6
Superseded in xenial-proposed on 2015-12-13
freedombox-setup (0.6) unstable; urgency=medium
  [ Nick Daly ]
  * Upload 0.6 release.

  [ James Valleroy ]
  * Fix error preventing flash-kernel install on Dreamplug (Closes: #794825).
  * Fix some errors in flash-kernel script (Closes: #798417).
  * Switch from mod_ssl to mod_gnutls (Closes: #798415).
  * Remove old manual in favor of new one present in Plinth.
  * Bump dependency on plinth to >= 0.6.

  [ Sunil Mohan Adapa ]
  * Use httpredir.debian.org instead of http.debian.net (Closes: #795737).
  * Remove Tor setup, now handled by Plinth (Closes: #795750).
  * Remove diagnostic testsuite, now handled by Plinth (Closes: #795768).
  * Remove unused and not-working code (Closes: #796860).
  * Support Raspberry Pi 2 (Closes: #797007).
  * Add login greeter message with location of manuals (Closes: #794826).
  * Remove unneeded changes to fstab, hosts, and apt sources (Closes: #797377).
  * Don't remove SSH keys; this will be done by freedom-maker for pre-built
    images (Closes: #797376).
  * Default to not downloading sources (Closes: #795764).
  * Remove apache2-mpm-worker from depends list (Closes: #791597).
  * Select Apache MPM prefork by default. Disable other MPMs.
  * Merge Wi-Fi configuration with network configuration (Closes: #797373).
  * Install avahi service files properly (Closes: #795880).
  * Move Apache, PAM, sudoers configurations to files.
  * Move sysctl configuration and LXC template to new hierarchy.
  * Move machine-detect file to /usr/lib/freedombox.
  * Add Lintian override for Apache configuration name.
  * Enable PHP5 and CGI modules by default to avoid restarting Apache2 later.

 -- Nick Daly <email address hidden>  Fri, 16 Oct 2015 16:24:12 -0500

Available diffs

0.5
Superseded in xenial-proposed on 2015-10-23
Deleted in wily-proposed on 2015-10-25 (Reason: moved to xenial-proposed)
freedombox-setup (0.5) unstable; urgency=medium

  [ Nick Daly ]
  * Upload 0.5 release.

  [ Sunil Mohan Adapa ]
  * Migrate to dh_python3 from python-support (Closes: #786164).
  * Use nmcli to setup network connections (Closes: #786689).
  * Remove jwchat/ejabber setup as it is handle by Plinth (Closes: #787025).
  * Remove LDAP root password and create ou=groups (Closes: #787128).
  * Remove renaming of network interaces as it does not work.  Start using
    systemd's new predictable naming.  Don't alter
    /etc/network/interface anymore.  (Closes: #789441).
  * Use network manager for configuring DNS and DHCP servers.

  [ James Valleroy ]
  * Apply patch from Sunil to fix hang issue when building Raspberry Pi images.
  * Remove privoxy setup as it happens in Plinth now (Closes: #791704).
  * Configure PAM for LDAP user logins (Close: #792233).

 -- Nick Daly <email address hidden>  Thu, 06 Aug 2015 06:40:43 -0500

Available diffs

0.3
Superseded in wily-proposed on 2015-08-06
Deleted in vivid-proposed on 2015-08-07 (Reason: Moved to wily-proposed)
freedombox-setup (0.3) unstable; urgency=low


  [ Petter Reinholdtsen ]
  * Adjust debian/tests/test-chroot to build using unstable instead of
    testing.  We are focusing on unstable for now.
  * Update Standards-Version from 3.9.5 to 3.9.6.

  [ James Valleroy ]
  * Remove changes to old ejabberd config file. New ejabberd package
    uses yml config.
  * Enable scramblesuit plugin for obfsproxy in tor. Enable ExtORPort
    for local communication between tor and obfsproxy.
  * Fix typo in Dreamplug wifi setup script.
  * Add netcat dependency for tor-get-orport.
  * Fixes to Tor configuration:
    - Move DNSPort to 9053 so it does not interfere with dnsmasq.
    - For configured interfaces, only add SocksPort to interfaces
      with static IPs.
  * Fix beaglebone setup to handle btrfs.

  [ Sunil Mohan Adapa ]
  * Cleanup Plinth's Apache configuration.  Default SSL site is no
    longer hijacked.  Plinth supplied configuration is good enough
    don't interfere (Closes: #769878).

 -- Petter Reinholdtsen <email address hidden>  Sat, 06 Dec 2014 10:56:59 +0100

Available diffs

0.2
Superseded in vivid-proposed on 2014-12-06
freedombox-setup (0.2) unstable; urgency=low


  * Updated documentation from the wiki.
  * Adjust test suite to use localhost as hostname if no /etc/hostname
    exist in the test environment.
  * Change Vcs-Browser field to the cgit interface.

 -- Petter Reinholdtsen <email address hidden>  Fri, 29 Aug 2014 23:20:48 +0200

Available diffs

Superseded in vivid-proposed on 2014-10-24
Deleted in utopic-proposed on 2014-10-26 (Reason: moved to vivid-proposed)
freedombox-setup (0.0.49) unstable; urgency=medium


  [ James Valleroy ]
  * Fix wrong quote character in setup.d/99_provide-source (Closes: #756529).
  * Clean up beaglebone related code.
  * Adjust Tor setup to enable it as a transparent proxy.

  [ Petter Reinholdtsen ]
  * Change test-chroot to use SOURCE=false to avoid trying to download
    the source packages when testing.
  * Adjust test-chroot to use DEBIAN_FRONTEND=Noninteractive, as no tty
    is available when testing.

 -- Petter Reinholdtsen <email address hidden>  Sun, 03 Aug 2014 11:46:38 +0200

Available diffs

Superseded in utopic-proposed on 2014-08-03
freedombox-setup (0.0.48) unstable; urgency=medium


  * Depend on libpam-tmpdir to separate user temporary files by default.
  * Depend on libpam-abl to make brute force login attacks harder
    by default.
  * Update documentation from wiki.
  * Explain in setup.d/99_provide-source that source is added when it is
    done.
  * Add autopkgtest check running the setup script.
  * Move monkeysphere from depends to suggests while we wait for a
    solution for bug #635711.

 -- Petter Reinholdtsen <email address hidden>  Mon, 28 Jul 2014 20:42:05 +0200

Available diffs

Superseded in utopic-proposed on 2014-07-28
freedombox-setup (0.0.47) unstable; urgency=low


  [ Nick Daly ]
  * Tee rpi-update output to the build log.
  * Rename NOSOURCE variable to SOURCE.
  * Remove IPv6 configuration from networking auto-config, as network
    setup seem to choke on it.

 -- Petter Reinholdtsen <email address hidden>  Sat, 14 Jun 2014 08:08:34 +0200

Available diffs

Superseded in utopic-proposed on 2014-06-14
freedombox-setup (0.0.46) unstable; urgency=medium


  [ James Valleroy ]
  * Add support for Beaglebone using the linux-image-armmp kernel
    in Debian.
  * Adjust serial port setup to handle both Dreamplug and Beaglebone.

 -- Petter Reinholdtsen <email address hidden>  Fri, 16 May 2014 22:24:50 +0200

Available diffs

Superseded in utopic-proposed on 2014-05-17
freedombox-setup (0.0.45) unstable; urgency=low


  [ Petter Reinholdtsen ]
  * Depend on firewalld to block all access by default, and require
    active involvement to open a port.  This require an updated plinth
    package.
  * Depend on how-can-i-help to let every user of apt know about
    problems with 'our' packages.

  [ James Valleroy ]
  * Add IPv6 support to network interfaces, privoxy, ejabberd.
  * Add apache conf for jwchat, separate from fbx site conf.
  * Add initial support for the Beagle Bone.
  * Skip backup in rpi-update to avoid error caused by recent change
    in rpi-update triggering error when no kernel is installed when
    rpi-update is executed the first time.

  [ Sunil Mohan Adapa ]
  * Remove freedombox-client-proxy script, as all the iptables rules
    are now handled by the plinth package.  Depend on plinth
    (>= 0.3.2.0.git.20140504-1) to get a version with these rules.

  [ Petter Reinholdtsen ]
  * Disable downloading of non-Debian packages for the Beagle Bone.  We
    want to use Debian packages for this.
  * Remove now obsolete init.d scripts /etc/init.d/proxy and
    /etc/init.d/freedombox-client-proxy on upgrades.
  * Add curl as binary dependency, as rpi-update switched from wget to
    curl a month ago. in commit dd495b8dd7f36dc411f2ed2bbdc21e4062b01a62.

 -- Petter Reinholdtsen <email address hidden>  Sun, 04 May 2014 09:59:58 +0200

Available diffs

Superseded in utopic-proposed on 2014-05-04
freedombox-setup (0.0.44) unstable; urgency=low


  * Update Standards-Version from 3.9.4 to 3.9.5.  No changes needed.
  * Add dependency on unattended-upgrades to make it easier to handle
    upgrades.
  * Rename init.d scripts first-run to freedombox-first-run and proxy to
    freedombox-client-proxy, to make it easier to see in /etc/init.d/
    which scripts belong to the freedombox setup.
  * Adjust freedombox-first-run boot dependencies to run after
    firewalld, tor, haveged, lxc and pagekite, in case those are
    needed to set up the system.
  * Rename interface_detect to interface-detect, for more consistent
    naming with the other sbin tools in this package.
  * Rename setup.d/10_dreamplug to setup.d/10_hardware to better reflect
    its current task.
  * Drop checkinstall from dependencies.  It is not used, as far as I
    can tell.
  * Drop lua-sec, python-augeas, python-beautifulsoup,
    python-bjsonrpc, python-docutils and python-lxml from
    dependencies.  None of them are used, as far as I can tell, and
    they are libraries that should be pulled in by packages that need
    them.
  * Drop python-argparse from dependencies, it is now a virtal package
    provided by libpython2.7-stdlib.
  * Add dblatex, w3m and zip as build dependencies for the new
    documentation setup to get the package building automatically
    (Closes: #745539).

 -- Petter Reinholdtsen <email address hidden>  Tue, 22 Apr 2014 20:56:00 +0200
119 of 19 results